Subject: killing Win32 apps from bash
From: "Gregory W. Bond" <[email-masked]>
To: [email-masked]
Date: Wed, 21 Nov 2001 17:00:37 -0500

I'm running into this problem with the latest cygwin distro (updated
today just to be sure). The problem occurs when I run Win32 java
programs from a bash shell. The java programs have shutdown hooks that
don't get executed when I kill the process (using 'kill' or ^C), however
they do get executed when I ^C from a Windows command shell. Is this the
expected behavior, or is this a bug?

Greg.

--
Gregory W. Bond
AT&T Labs - Research
180 Park Avenue, Rm. D273, Bldg. 103
P.O. Box 971, Florham Park, NJ, 07932-0971, USA
tel: (973) 360 7216 fax: (973) 360 8187

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/